<?php
/**********************************************************************************
 Sistema e-SIC Livre: sistema de acesso a informao baseado na lei de acesso.
 
 Copyright (C) 2014 Prefeitura Municipal do Natal
 
 Este programa  software livre; voc pode redistribu-lo e/ou
 modific-lo sob os termos da Licena GPL2.
***********************************************************************************/

	include_once("../inc/autenticar.php");
	checkPerm("INSGRU");
	
        // Verifica se o grupo foi selecionado
        function estaSelecionado($pLogin)
        {
            global $selecionados;
            
            foreach ($selecionados as $login)
            {
                if($login == $pLogin)
                    return true;
            }
            
            return false;
        }        
        
	//funo de validao dos dados do formulario do cadastro de usuario -------------------
	function validaDados()
	{
		global $erro;
		global $acao;
		global $selecionados;
		global $idgrupo;
				
		return true;
	}
	
	//------------------------------------------------------------------------------------------
	$acao	= "Salvar";
	$erro	= "";
	
	//se tiver sido postado informao do formulario
	if ($_POST['acao'])
	{
	
		//recupera valores do formulario
		$acao		= $_POST["acao"];
		$idgrupo	= $_POST["idgrupo"];
		$nomegrupo	= $_POST["nomegrupo"];
		$selecionados   = $_POST["selecionados"];
		
		

                if(validaDados())
                {
                
                        $con = DB::conn();
                        $all_query_ok=true;
                        
                        $sql = "delete from sis_grupousuario where idgrupo = $idgrupo";
                        
                        if (!$con->query($sql)) 
                        {
                            $all_query_ok=false;
                            $erro = "Ocorreu um erro ao excluir usuario do grupo.";
                        }
                        else
                        {
                            foreach ($selecionados as $usr)
                            {
                                $sql = "select idusuario from sis_usuario where login = '".DB::esc($usr)."'";
                                $rs = DB::execQuery($sql);
                                $row = mysqli_fetch_array($rs);
                                $idusuario = $row['idusuario'];

                                $sql = "insert into sis_grupousuario (idgrupo, idusuario)
                                        values ('".DB::esc($idgrupo)."', ".DB::esc($idusuario).")";

                                if (!$con->query($sql)) 
                                {
                                    $all_query_ok=false;
                                    $erro = "Ocorreu um erro ao inserir usuario no grupo.";
                                    //echo $sql;
                                    break;
                                }

                            }
                        }

                        if (!$all_query_ok)
                        {
                            $con->rollback();
                        }
                        else
                        {
                            $con->commit();

                            logger("Adicionou Usuario a grupo");  
                            header("Location: index.php");
                        }
                        
                        // $con->close();
			                    
                }
	}
        else
        {
            $idgrupo = DB::esc($_GET["idgrupo"]);
            $sql = "select nome from sis_grupo where idgrupo = $idgrupo";
            $result = DB::execQuery($sql);
            $row = mysqli_fetch_array($result);
            
            $nomegrupo = $row["nome"];
            
            $sql = "select login from sis_grupousuario gu, sis_usuario u
                        where gu.idusuario = u.idusuario and gu.idgrupo = $idgrupo";

            $i=0;
            $resultado = DB::execQuery($sql);
            while($registro = mysqli_fetch_array($resultado))
            {
                $selecionados[$i] = $registro['login'];
                $i++;
            }	            
            
        }

?>