<?php
/**********************************************************************************
 Sistema e-SIC Livre: sistema de acesso a informao baseado na lei de acesso.
 
 Copyright (C) 2014 Prefeitura Municipal do Natal
 
 Este programa  software livre; voc pode redistribu-lo e/ou
 modific-lo sob os termos da Licena GPL2.
***********************************************************************************/

	include_once("../inc/autenticar.php");
	include_once(DIR_CLASSES_LEIACESSO."/db.class.php");
	
	checkPerm("LSTLDACONF");
	
	//funo de validao dos dados do formulario do cadastro de usuario -------------------
	function validaDados()
	{
		global $erro;
		global $acao;
		global $prazoresposta;
		global $qtdprorrogacaoresposta;
                global $prazosolicitacaorecurso;
                global $prazorespostarecurso;
                global $qtdeprorrogacaorecurso;
                global $diretorioarquivos;
                global $urlarquivos;
                global $nomeremetenteemail;
                global $emailremetente;
				
		if (empty($prazoresposta) or 
                    empty($qtdprorrogacaoresposta) or
                    empty($prazosolicitacaorecurso) or
                    empty($prazorespostarecurso) or
                    empty($qtdeprorrogacaorecurso) or
                    empty($diretorioarquivos) or
                    empty($urlarquivos) or
                    empty($nomeremetenteemail) or
                    empty($emailremetente))
		{
			$erro = "Todos os campos devem ser preenchidos.";
			return false;
		}
		//-----------------------------------------------------------------------
		
		return true;
	}
	
	//------------------------------------------------------------------------------------------
	$erro	= "";
	
	//se tiver sido postado informao do formulario
	if ($_POST['acao'])
	{
	
		//recupera valores do formulario
		$acao                       = DB::esc($_POST["acao"]);
                $prazoresposta              = DB::esc($_POST["prazoresposta"]);
		$qtdprorrogacaoresposta     = DB::esc($_POST["qtdprorrogacaoresposta"]);
                $prazosolicitacaorecurso    = DB::esc($_POST["prazosolicitacaorecurso"]);
                $prazorespostarecurso       = DB::esc($_POST["prazorespostarecurso"]);
                $qtdeprorrogacaorecurso     = DB::esc($_POST["qtdeprorrogacaorecurso"]);
                $diretorioarquivos          = DB::esc($_POST["diretorioarquivos"]);
                $urlarquivos                = DB::esc($_POST["urlarquivos"]);
                $nomeremetenteemail         = DB::esc($_POST["nomeremetenteemail"]);
                $emailremetente             = DB::esc($_POST["emailremetente"]);
                
		
		
		//verifica ao do usuario
		if ($acao == "Salvar")
                {
                        checkPerm("UPTLDACONF");

                        if(validaDados())
                        {
                                $sql="UPDATE lda_configuracao SET
                                        prazoresposta = '$prazoresposta',
                                        qtdprorrogacaoresposta = '$qtdprorrogacaoresposta',
                                        prazosolicitacaorecurso = '$prazosolicitacaorecurso',
                                        prazorespostarecurso = '$prazorespostarecurso',
                                        qtdeprorrogacaorecurso = '$qtdeprorrogacaorecurso',
                                        diretorioarquivos = '$diretorioarquivos',
                                        urlarquivos = '$urlarquivos',
                                        nomeremetenteemail = '$nomeremetenteemail',
                                        emailremetente = '$emailremetente'
                                        ";

                                if (DB::execQuery($sql))
                                {
                                        logger("Alterado configurao do lei de acesso.");
                                        echo "<script>alert('Configurao atualizada com sucesso!');</script>";
                                }
                                else
                                {
                                        $erro = "Ocorreu um erro ao atualizar configurao.";
                                }
								mysqli_free_result();
                        }
                                
				
		}
	}
        else
        {
            $sql = "select * from lda_configuracao";
            $rs = DB::execQuery($sql);
            $row = mysqli_fetch_array($rs);
            $prazoresposta              = $row["prazoresposta"];
            $qtdprorrogacaoresposta     = $row["qtdprorrogacaoresposta"];
            $prazosolicitacaorecurso    = $row["prazosolicitacaorecurso"];
            $prazorespostarecurso       = $row["prazorespostarecurso"];
            $qtdeprorrogacaorecurso     = $row["qtdeprorrogacaorecurso"];
            $diretorioarquivos          = $row["diretorioarquivos"];
            $urlarquivos                = $row["urlarquivos"];
            $nomeremetenteemail         = $row["nomeremetenteemail"];
            $emailremetente             = $row["emailremetente"];
            mysqli_free_result();

        }
?>